import { B as tags, O as indentNodeProp, S as foldInside, n as ExternalTokenizer, r as LRParser, s as LRLanguage, t as ContextTracker, u as LanguageSupport, v as delimitedIndent, w as foldNodeProp, z as styleTags } from "./dist-CCADb07R.js";
var blockEnd = 63, eof = 64, DirectiveEnd = 1, DocEnd = 2, sequenceStartMark = 3, sequenceContinueMark = 4, explicitMapStartMark = 5, explicitMapContinueMark = 6, flowMapMark = 7, mapStartMark = 65, mapContinueMark = 66, Literal = 8, QuotedLiteral = 9, Anchor = 10, Alias = 11, Tag = 12, BlockLiteralContent = 13, BracketL = 19, FlowSequence = 20, Colon = 29, BraceL = 33, FlowMapping = 34, BlockLiteralHeader = 47, type_Top = 0, type_Seq = 1, type_Map = 2, type_Flow = 3, type_Lit = 4, Context = class {
  constructor(v, q, J) {
    this.parent = v, this.depth = q, this.type = J, this.hash = (v ? v.hash + v.hash << 8 : 0) + q + (q << 4) + J;
  }
};
Context.top = new Context(null, -1, type_Top);
function findColumn(v, q) {
  for (let J = 0, Y = q - v.pos - 1; ; Y--, J++) {
    let q2 = v.peek(Y);
    if (isBreakSpace(q2) || q2 == -1) return J;
  }
}
function isNonBreakSpace(v) {
  return v == 32 || v == 9;
}
function isBreakSpace(v) {
  return v == 10 || v == 13;
}
function isSpace(v) {
  return isNonBreakSpace(v) || isBreakSpace(v);
}
function isSep(v) {
  return v < 0 || isSpace(v);
}
var indentation = new ContextTracker({
  start: Context.top,
  reduce(v, q) {
    return v.type == type_Flow && (q == FlowSequence || q == FlowMapping) ? v.parent : v;
  },
  shift(v, q, J, Y) {
    if (q == sequenceStartMark) return new Context(v, findColumn(Y, Y.pos), type_Seq);
    if (q == mapStartMark || q == explicitMapStartMark) return new Context(v, findColumn(Y, Y.pos), type_Map);
    if (q == blockEnd) return v.parent;
    if (q == BracketL || q == BraceL) return new Context(v, 0, type_Flow);
    if (q == BlockLiteralContent && v.type == type_Lit) return v.parent;
    if (q == BlockLiteralHeader) {
      let q2 = /[1-9]/.exec(Y.read(Y.pos, J.pos));
      if (q2) return new Context(v, v.depth + +q2[0], type_Lit);
    }
    return v;
  },
  hash(v) {
    return v.hash;
  }
});
function three(v, q, J = 0) {
  return v.peek(J) == q && v.peek(J + 1) == q && v.peek(J + 2) == q && isSep(v.peek(J + 3));
}
var newlines = new ExternalTokenizer((v, q) => {
  if (v.next == -1 && q.canShift(eof)) return v.acceptToken(eof);
  let J = v.peek(-1);
  if ((isBreakSpace(J) || J < 0) && q.context.type != type_Flow) {
    if (three(v, 45)) if (q.canShift(blockEnd)) v.acceptToken(blockEnd);
    else return v.acceptToken(DirectiveEnd, 3);
    if (three(v, 46)) if (q.canShift(blockEnd)) v.acceptToken(blockEnd);
    else return v.acceptToken(DocEnd, 3);
    let J2 = 0;
    for (; v.next == 32; ) J2++, v.advance();
    (J2 < q.context.depth || J2 == q.context.depth && q.context.type == type_Seq && (v.next != 45 || !isSep(v.peek(1)))) && v.next != -1 && !isBreakSpace(v.next) && v.next != 35 && v.acceptToken(blockEnd, -J2);
  }
}, { contextual: true }), blockMark = new ExternalTokenizer((v, q) => {
  if (q.context.type == type_Flow) {
    v.next == 63 && (v.advance(), isSep(v.next) && v.acceptToken(flowMapMark));
    return;
  }
  if (v.next == 45) v.advance(), isSep(v.next) && v.acceptToken(q.context.type == type_Seq && q.context.depth == findColumn(v, v.pos - 1) ? sequenceContinueMark : sequenceStartMark);
  else if (v.next == 63) v.advance(), isSep(v.next) && v.acceptToken(q.context.type == type_Map && q.context.depth == findColumn(v, v.pos - 1) ? explicitMapContinueMark : explicitMapStartMark);
  else {
    let J = v.pos;
    for (; ; ) if (isNonBreakSpace(v.next)) {
      if (v.pos == J) return;
      v.advance();
    } else if (v.next == 33) readTag(v);
    else if (v.next == 38) readAnchor(v);
    else if (v.next == 42) {
      readAnchor(v);
      break;
    } else if (v.next == 39 || v.next == 34) {
      if (readQuoted(v, true)) break;
      return;
    } else if (v.next == 91 || v.next == 123) {
      if (!scanBrackets(v)) return;
      break;
    } else {
      readPlain(v, true, false, 0);
      break;
    }
    for (; isNonBreakSpace(v.next); ) v.advance();
    if (v.next == 58) {
      if (v.pos == J && q.canShift(Colon)) return;
      isSep(v.peek(1)) && v.acceptTokenTo(q.context.type == type_Map && q.context.depth == findColumn(v, J) ? mapContinueMark : mapStartMark, J);
    }
  }
}, { contextual: true });
function uriChar(v) {
  return v > 32 && v < 127 && v != 34 && v != 37 && v != 44 && v != 60 && v != 62 && v != 92 && v != 94 && v != 96 && v != 123 && v != 124 && v != 125;
}
function hexChar(v) {
  return v >= 48 && v <= 57 || v >= 97 && v <= 102 || v >= 65 && v <= 70;
}
function readUriChar(v, q) {
  return v.next == 37 ? (v.advance(), hexChar(v.next) && v.advance(), hexChar(v.next) && v.advance(), true) : uriChar(v.next) || q && v.next == 44 ? (v.advance(), true) : false;
}
function readTag(v) {
  if (v.advance(), v.next == 60) {
    for (v.advance(); ; ) if (!readUriChar(v, true)) {
      v.next == 62 && v.advance();
      break;
    }
  } else for (; readUriChar(v, false); ) ;
}
function readAnchor(v) {
  for (v.advance(); !isSep(v.next) && charTag(v.tag) != "f"; ) v.advance();
}
function readQuoted(v, q) {
  let J = v.next, Y = false, X = v.pos;
  for (v.advance(); ; ) {
    let Z = v.next;
    if (Z < 0) break;
    if (v.advance(), Z == J) if (Z == 39) if (v.next == 39) v.advance();
    else break;
    else break;
    else if (Z == 92 && J == 34) v.next >= 0 && v.advance();
    else if (isBreakSpace(Z)) {
      if (q) return false;
      Y = true;
    } else if (q && v.pos >= X + 1024) return false;
  }
  return !Y;
}
function scanBrackets(v) {
  for (let q = [], J = v.pos + 1024; ; ) if (v.next == 91 || v.next == 123) q.push(v.next), v.advance();
  else if (v.next == 39 || v.next == 34) {
    if (!readQuoted(v, true)) return false;
  } else if (v.next == 93 || v.next == 125) {
    if (q[q.length - 1] != v.next - 2) return false;
    if (q.pop(), v.advance(), !q.length) return true;
  } else if (v.next < 0 || v.pos > J || isBreakSpace(v.next)) return false;
  else v.advance();
}
var charTable = "iiisiiissisfissssssssssssisssiiissssssssssssssssssssssssssfsfssissssssssssssssssssssssssssfif";
function charTag(v) {
  return v < 33 ? "u" : v > 125 ? "s" : charTable[v - 33];
}
function isSafe(v, q) {
  let J = charTag(v);
  return J != "u" && !(q && J == "f");
}
function readPlain(v, q, J, Y) {
  if (charTag(v.next) == "s" || (v.next == 63 || v.next == 58 || v.next == 45) && isSafe(v.peek(1), J)) v.advance();
  else return false;
  let X = v.pos;
  for (; ; ) {
    let Z = v.next, Q = 0, $ = Y + 1;
    for (; isSpace(Z); ) {
      if (isBreakSpace(Z)) {
        if (q) return false;
        $ = 0;
      } else $++;
      Z = v.peek(++Q);
    }
    if (!(Z >= 0 && (Z == 58 ? isSafe(v.peek(Q + 1), J) : Z == 35 ? v.peek(Q - 1) != 32 : isSafe(Z, J))) || !J && $ <= Y || $ == 0 && !J && (three(v, 45, Q) || three(v, 46, Q))) break;
    if (q && charTag(Z) == "f") return false;
    for (let q2 = Q; q2 >= 0; q2--) v.advance();
    if (q && v.pos > X + 1024) return false;
  }
  return true;
}
var literals = new ExternalTokenizer((v, q) => {
  if (v.next == 33) readTag(v), v.acceptToken(Tag);
  else if (v.next == 38 || v.next == 42) {
    let q2 = v.next == 38 ? Anchor : Alias;
    readAnchor(v), v.acceptToken(q2);
  } else v.next == 39 || v.next == 34 ? (readQuoted(v, false), v.acceptToken(QuotedLiteral)) : readPlain(v, false, q.context.type == type_Flow, q.context.depth) && v.acceptToken(Literal);
}), blockLiteral = new ExternalTokenizer((v, q) => {
  let J = q.context.type == type_Lit ? q.context.depth : -1, Y = v.pos;
  scan: for (; ; ) {
    let X = 0, Z = v.next;
    for (; Z == 32; ) Z = v.peek(++X);
    if (!X && (three(v, 45, X) || three(v, 46, X)) || !isBreakSpace(Z) && (J < 0 && (J = Math.max(q.context.depth + 1, X)), X < J)) break;
    for (; ; ) {
      if (v.next < 0) break scan;
      let q2 = isBreakSpace(v.next);
      if (v.advance(), q2) continue scan;
      Y = v.pos;
    }
  }
  v.acceptTokenTo(BlockLiteralContent, Y);
}), yamlHighlighting = styleTags({
  DirectiveName: tags.keyword,
  DirectiveContent: tags.attributeValue,
  "DirectiveEnd DocEnd": tags.meta,
  QuotedLiteral: tags.string,
  BlockLiteralHeader: tags.special(tags.string),
  BlockLiteralContent: tags.content,
  Literal: tags.content,
  "Key/Literal Key/QuotedLiteral": tags.definition(tags.propertyName),
  "Anchor Alias": tags.labelName,
  Tag: tags.typeName,
  Comment: tags.lineComment,
  ": , -": tags.separator,
  "?": tags.punctuation,
  "[ ]": tags.squareBracket,
  "{ }": tags.brace
}), parser = LRParser.deserialize({
  version: 14,
  states: "5lQ!ZQgOOO#PQfO'#CpO#uQfO'#DOOOQR'#Dv'#DvO$qQgO'#DRO%gQdO'#DUO%nQgO'#DUO&ROaO'#D[OOQR'#Du'#DuO&{QgO'#D^O'rQgO'#D`OOQR'#Dt'#DtO(iOqO'#DbOOQP'#Dj'#DjO(zQaO'#CmO)YQgO'#CmOOQP'#Cm'#CmQ)jQaOOQ)uQgOOQ]QgOOO*PQdO'#CrO*nQdO'#CtOOQO'#Dw'#DwO+]Q`O'#CxO+hQdO'#CwO+rQ`O'#CwOOQO'#Cv'#CvO+wQdO'#CvOOQO'#Cq'#CqO,UQ`O,59[O,^QfO,59[OOQR,59[,59[OOQO'#Cx'#CxO,eQ`O'#DPO,pQdO'#DPOOQO'#Dx'#DxO,zQdO'#DxO-XQ`O,59jO-aQfO,59jOOQR,59j,59jOOQR'#DS'#DSO-hQcO,59mO-sQgO'#DVO.TQ`O'#DVO.YQcO,59pOOQR'#DX'#DXO#|QfO'#DWO.hQcO'#DWOOQR,59v,59vO.yOWO,59vO/OOaO,59vO/WOaO,59vO/cQgO'#D_OOQR,59x,59xO0VQgO'#DaOOQR,59z,59zOOQP,59|,59|O0yOaO,59|O1ROaO,59|O1aOqO,59|OOQP-E7h-E7hO1oQgO,59XOOQP,59X,59XO2PQaO'#DeO2_QgO'#DeO2oQgO'#DkOOQP'#Dk'#DkQ)jQaOOO3PQdO'#CsOOQO,59^,59^O3kQdO'#CuOOQO,59`,59`OOQO,59c,59cO4VQdO,59cO4aQdO'#CzO4kQ`O'#CzOOQO,59b,59bOOQU,5:Q,5:QOOQR1G.v1G.vO4pQ`O1G.vOOQU-E7d-E7dO4xQdO,59kOOQO,59k,59kO5SQdO'#DQO5^Q`O'#DQOOQO,5:d,5:dOOQU,5:R,5:ROOQR1G/U1G/UO5cQ`O1G/UOOQU-E7e-E7eO5kQgO'#DhO5xQcO1G/XOOQR1G/X1G/XOOQR,59q,59qO6TQgO,59qO6eQdO'#DiO6lQgO'#DiO7PQcO1G/[OOQR1G/[1G/[OOQR,59r,59rO#|QfO,59rOOQR1G/b1G/bO7_OWO1G/bO7dOaO1G/bOOQR,59y,59yOOQR,59{,59{OOQP1G/h1G/hO7lOaO1G/hO7tOaO1G/hO8POaO1G/hOOQP1G.s1G.sO8_QgO,5:POOQP,5:P,5:POOQP,5:V,5:VOOQP-E7i-E7iOOQO,59_,59_OOQO,59a,59aOOQO1G.}1G.}OOQO,59f,59fO8oQdO,59fOOQR7+$b7+$bP,XQ`O'#DfOOQO1G/V1G/VOOQO,59l,59lO8yQdO,59lOOQR7+$p7+$pP9TQ`O'#DgOOQR'#DT'#DTOOQR,5:S,5:SOOQR-E7f-E7fOOQR7+$s7+$sOOQR1G/]1G/]O9YQgO'#DYO9jQ`O'#DYOOQR,5:T,5:TO#|QfO'#DZO9oQcO'#DZOOQR-E7g-E7gOOQR7+$v7+$vOOQR1G/^1G/^OOQR7+$|7+$|O:QOWO7+$|OOQP7+%S7+%SO:VOaO7+%SO:_OaO7+%SOOQP1G/k1G/kOOQO1G/Q1G/QOOQO1G/W1G/WOOQR,59t,59tO:jQgO,59tOOQR,59u,59uO#|QfO,59uOOQR<<Hh<<HhOOQP<<Hn<<HnO:zOaO<<HnOOQR1G/`1G/`OOQR1G/a1G/aOOQPAN>YAN>Y",
  stateData: ";S~O!fOS!gOS^OS~OP_OQbORSOTUOWROXROYYOZZO[XOcPOqQO!PVO!V[O!cTO~O`cO~P]OVkOWROXROYeOZfO[dOcPOmhOqQO~OboO~P!bOVtOWROXROYeOZfO[dOcPOmrOqQO~OpwO~P#WORSOTUOWROXROYYOZZO[XOcPOqQO!PVO!cTO~OSvP!avP!bvP~P#|OWROXROYeOZfO[dOcPOqQO~OmzO~P%OOm!OOUzP!azP!bzP!dzP~P#|O^!SO!b!QO!f!TO!g!RO~ORSOTUOWROXROcPOqQO!PVO!cTO~OY!UOP!QXQ!QX!V!QX!`!QXS!QX!a!QX!b!QXU!QXm!QX!d!QX~P&aO[!WOP!SXQ!SX!V!SX!`!SXS!SX!a!SX!b!SXU!SXm!SX!d!SX~P&aO^!ZO!W![O!b!YO!f!]O!g!YO~OP!_O!V[OQaX!`aX~OPaXQaX!VaX!`aX~P#|OP!bOQ!cO!V[O~OP_O!V[O~P#|OWROXROY!fOcPOqQObfXmfXofXpfX~OWROXRO[!hOcPOqQObhXmhXohXphX~ObeXmlXoeX~ObkXokX~P%OOm!kO~Om!lObnPonP~P%OOb!pOo!oO~Ob!pO~P!bOm!sOosXpsX~OosXpsX~P%OOm!uOotPptP~P%OOo!xOp!yO~Op!yO~P#WOS!|O!a#OO!b#OO~OUyX!ayX!byX!dyX~P#|Om#QO~OU#SO!a#UO!b#UO!d#RO~Om#WOUzX!azX!bzX!dzX~O]#XO~O!b#XO!g#YO~O^#ZO!b#XO!g#YO~OP!RXQ!RX!V!RX!`!RXS!RX!a!RX!b!RXU!RXm!RX!d!RX~P&aOP!TXQ!TX!V!TX!`!TXS!TX!a!TX!b!TXU!TXm!TX!d!TX~P&aO!b#^O!g#^O~O^#_O!b#^O!f#`O!g#^O~O^#_O!W#aO!b#^O!g#^O~OPaaQaa!Vaa!`aa~P#|OP#cO!V[OQ!XX!`!XX~OP!XXQ!XX!V!XX!`!XX~P#|OP_O!V[OQ!_X!`!_X~P#|OWROXROcPOqQObgXmgXogXpgX~OWROXROcPOqQObiXmiXoiXpiX~Obkaoka~P%OObnXonX~P%OOm#kO~Ob#lOo!oO~Oosapsa~P%OOotXptX~P%OOm#pO~Oo!xOp#qO~OSwP!awP!bwP~P#|OS!|O!a#vO!b#vO~OUya!aya!bya!dya~P#|Om#xO~P%OOm#{OU}P!a}P!b}P!d}P~P#|OU#SO!a$OO!b$OO!d#RO~O]$QO~O!b$QO!g$RO~O!b$SO!g$SO~O^$TO!b$SO!g$SO~O^$TO!b$SO!f$UO!g$SO~OP!XaQ!Xa!V!Xa!`!Xa~P#|Obnaona~P%OOotapta~P%OOo!xO~OU|X!a|X!b|X!d|X~P#|Om$ZO~Om$]OU}X!a}X!b}X!d}X~O]$^O~O!b$_O!g$_O~O^$`O!b$_O!g$_O~OU|a!a|a!b|a!d|a~P#|O!b$cO!g$cO~O",
  goto: ",]!mPPPPPPPPPPPPPPPPP!nPP!v#v#|$`#|$c$f$j$nP%VPPP!v%Y%^%a%{&O%a&R&U&X&_&b%aP&e&{&e'O'RPP']'a'g'm's'y(XPPPPPPPP(_)e*X+c,VUaObcR#e!c!{ROPQSTUXY_bcdehknrtvz!O!U!W!_!b!c!f!h!k!l!s!u!|#Q#R#S#W#c#k#p#x#{$Z$]QmPR!qnqfPQThknrtv!k!l!s!u#R#k#pR!gdR!ieTlPnTjPnSiPnSqQvQ{TQ!mkQ!trQ!vtR#y#RR!nkTsQvR!wt!RWOSUXY_bcz!O!U!W!_!b!c!|#Q#S#W#c#x#{$Z$]RySR#t!|R|TR|UQ!PUR#|#SR#z#RR#z#SyZOSU_bcz!O!_!b!c!|#Q#S#W#c#x#{$Z$]R!VXR!XYa]O^abc!a!c!eT!da!eQnPR!rnQvQR!{vQ!}yR#u!}Q#T|R#}#TW^Obc!cS!^^!aT!aa!eQ!eaR#f!eW`Obc!cQxSS}U#SQ!`_Q#PzQ#V!OQ#b!_Q#d!bQ#s!|Q#w#QQ$P#WQ$V#cQ$Y#xQ$[#{Q$a$ZR$b$]xZOSU_bcz!O!_!b!c!|#Q#S#W#c#x#{$Z$]Q!VXQ!XYQ#[!UR#]!W!QWOSUXY_bcz!O!U!W!_!b!c!|#Q#S#W#c#x#{$Z$]pfPQThknrtv!k!l!s!u#R#k#pQ!gdQ!ieQ#g!fR#h!hSgPn^pQTkrtv#RQ!jhQ#i!kQ#j!lQ#n!sQ#o!uQ$W#kR$X#pQuQR!zv",
  nodeNames: "\u26A0 DirectiveEnd DocEnd - - ? ? ? Literal QuotedLiteral Anchor Alias Tag BlockLiteralContent Comment Stream BOM Document ] [ FlowSequence Item Tagged Anchored Anchored Tagged FlowMapping Pair Key : Pair , } { FlowMapping Pair Pair BlockSequence Item Item BlockMapping Pair Pair Key Pair Pair BlockLiteral BlockLiteralHeader Tagged Anchored Anchored Tagged Directive DirectiveName DirectiveContent Document",
  maxTerm: 74,
  context: indentation,
  nodeProps: [
    [
      "isolate",
      -3,
      8,
      9,
      14,
      ""
    ],
    [
      "openedBy",
      18,
      "[",
      32,
      "{"
    ],
    [
      "closedBy",
      19,
      "]",
      33,
      "}"
    ]
  ],
  propSources: [yamlHighlighting],
  skippedNodes: [0],
  repeatNodeCount: 6,
  tokenData: "-Y~RnOX#PXY$QYZ$]Z]#P]^$]^p#Ppq$Qqs#Pst$btu#Puv$yv|#P|}&e}![#P![!]'O!]!`#P!`!a'i!a!}#P!}#O*g#O#P#P#P#Q+Q#Q#o#P#o#p+k#p#q'i#q#r,U#r;'S#P;'S;=`#z<%l?HT#P?HT?HU,o?HUO#PQ#UU!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PQ#kTOY#PZs#Pt;'S#P;'S;=`#z<%lO#PQ#}P;=`<%l#P~$VQ!f~XY$Qpq$Q~$bO!g~~$gS^~OY$bZ;'S$b;'S;=`$s<%lO$b~$vP;=`<%l$bR%OX!WQOX%kXY#PZ]%k]^#P^p%kpq#hq;'S%k;'S;=`&_<%lO%kR%rX!WQ!VPOX%kXY#PZ]%k]^#P^p%kpq#hq;'S%k;'S;=`&_<%lO%kR&bP;=`<%l%kR&lUoP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR'VUmP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR'p[!PP!WQOY#PZp#Ppq#hq{#P{|(f|}#P}!O(f!O!R#P!R![)p![;'S#P;'S;=`#z<%lO#PR(mW!PP!WQOY#PZp#Ppq#hq!R#P!R![)V![;'S#P;'S;=`#z<%lO#PR)^U!PP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR)wY!PP!WQOY#PZp#Ppq#hq{#P{|)V|}#P}!O)V!O;'S#P;'S;=`#z<%lO#PR*nUcP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR+XUbP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR+rUqP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR,]UpP!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#PR,vU`P!WQOY#PZp#Ppq#hq;'S#P;'S;=`#z<%lO#P",
  tokenizers: [
    newlines,
    blockMark,
    literals,
    blockLiteral,
    0,
    1
  ],
  topRules: { Stream: [0, 15] },
  tokenPrec: 0
}), yamlLanguage = /* @__PURE__ */ LRLanguage.define({
  name: "yaml",
  parser: /* @__PURE__ */ parser.configure({ props: [/* @__PURE__ */ indentNodeProp.add({
    Stream: (v) => {
      for (let q = v.node.resolve(v.pos, -1); q && q.to >= v.pos; q = q.parent) {
        if (q.name == "BlockLiteralContent" && q.from < q.to) return v.baseIndentFor(q);
        if (q.name == "BlockLiteral") return v.baseIndentFor(q) + v.unit;
        if (q.name == "BlockSequence" || q.name == "BlockMapping") return v.column(q.from, 1);
        if (q.name == "QuotedLiteral") return null;
        if (q.name == "Literal") {
          let J = v.column(q.from, 1);
          if (J == v.lineIndent(q.from, 1)) return J;
          if (q.to > v.pos) return null;
        }
      }
      return null;
    },
    FlowMapping: /* @__PURE__ */ delimitedIndent({ closing: "}" }),
    FlowSequence: /* @__PURE__ */ delimitedIndent({ closing: "]" })
  }), /* @__PURE__ */ foldNodeProp.add({
    "FlowMapping FlowSequence": foldInside,
    "Item Pair BlockLiteral": (v, q) => ({
      from: q.doc.lineAt(v.from).to,
      to: v.to
    })
  })] }),
  languageData: {
    commentTokens: { line: "#" },
    indentOnInput: /^\s*[\]\}]$/
  }
});
function yaml() {
  return new LanguageSupport(yamlLanguage);
}
tags.meta;
export {
  yamlLanguage as n,
  yaml as t
};
